chat/znc - The NetBSD Packages Collection

Advanced IRC bouncer with IPv6 and SSL support

ZNC is an advanced IRC bouncer with IPv6 and SSL support.

Build dependencies

devel/boost-headers pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

devel/boost-libs textproc/icu textproc/icu

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfznc-1.8.2nb2.tgz
NetBSD 8.0earmv7hfznc-1.8.2.tgz
NetBSD 8.0earmv7hfznc-1.8.2nb3.tgz
NetBSD 8.0i386znc-1.8.2.tgz
NetBSD 8.0i386znc-1.8.2nb2.tgz
NetBSD 8.0i386znc-1.8.2nb3.tgz
NetBSD 8.0powerpcznc-1.8.2.tgz
NetBSD 8.0powerpcznc-1.8.2nb3.tgz
NetBSD 8.0powerpcznc-1.8.2nb2.tgz
NetBSD 8.0powerpcznc-1.8.2nb3.tgz
NetBSD 8.0x86_64znc-1.8.2nb3.tgz
NetBSD 8.0x86_64znc-1.8.2.tgz
NetBSD 8.0x86_64znc-1.8.2nb2.tgz
NetBSD 9.0aarch64znc-1.8.2nb3.tgz
NetBSD 9.0aarch64znc-1.8.2.tgz
NetBSD 9.0aarch64znc-1.8.2nb2.tgz
NetBSD 9.0earmznc-1.8.2.tgz
NetBSD 9.0earmv6hfznc-1.8.2nb3.tgz
NetBSD 9.0earmv6hfznc-1.8.2.tgz
NetBSD 9.0earmv6hfznc-1.8.2nb2.tgz
NetBSD 9.0earmv6hfznc-1.8.2nb2.tgz
NetBSD 9.0earmv7hfznc-1.8.2nb3.tgz
NetBSD 9.0earmv7hfznc-1.8.2.tgz
NetBSD 9.0earmv7hfznc-1.8.2nb2.tgz
NetBSD 9.0earmv7hfznc-1.8.2nb2.tgz
NetBSD 9.0earmv7hfznc-1.8.2nb3.tgz
NetBSD 9.0i386znc-1.8.2.tgz
NetBSD 9.0i386znc-1.8.2nb2.tgz
NetBSD 9.0i386znc-1.8.2nb3.tgz
NetBSD 9.0mips64ebznc-1.8.2nb3.tgz
NetBSD 9.0mips64ebznc-1.8.2.tgz
NetBSD 9.0mips64ebznc-1.8.2nb2.tgz
NetBSD 9.0powerpcznc-1.8.2nb2.tgz
NetBSD 9.0powerpcznc-1.8.2.tgz
NetBSD 9.0powerpcznc-1.8.2nb3.tgz
NetBSD 9.0powerpcznc-1.8.2nb3.tgz
NetBSD 9.0sparc64znc-1.8.2nb3.tgz
NetBSD 9.0sparc64znc-1.8.2.tgz
NetBSD 9.0sparc64znc-1.8.2nb2.tgz
NetBSD 9.0x86_64znc-1.8.2nb1.tgz
NetBSD 9.0x86_64znc-1.8.2nb3.tgz
NetBSD 9.0x86_64znc-1.8.2nb3.tgz
NetBSD 9.0x86_64znc-1.8.2nb3.tgz
NetBSD 9.0x86_64znc-1.8.2.tgz
NetBSD 9.0x86_64znc-1.8.2nb2.tgz
NetBSD 9.0x86_64znc-1.8.2nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

inet6
Enable support for IPv6.
nls
Use native language support.
perl
Enable Perl support.
python
Enable Python support.
sasl-cyrus
Use Cyrus SASL for the SASL layer.
tcl
Enable Tcl scripting support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.